<?php

namespace Bluesquare\MailTemplates\Providers;

use Bluesquare\MailTemplates\MailTemplate;
use Illuminate\Support\Facades\Log;

class LogsProvider implements TemplateMailProvider
{
    protected $config;

    public function __construct(array $config)
    {
        $this->config = $config;
    }

    public function send(MailTemplate $template, $notifiable = null)
    {
        Log::debug("Mail Templates: send()", [
            'template' => $template->toArray(),
            'notifiable' => $notifiable
        ]);
    }
}